/**
 Classe: FrameLayoutDois
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameLayoutDois extends JFrame{

  private JButton btnUm = new JButton("Boto 1");
  private JButton btnDois = new JButton("Boto 2");
  private JButton btnTres = new JButton("Boto 3");

  public FrameLayoutDois() {

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    getContentPane().setLayout(new FlowLayout());
    getContentPane().add(btnUm, FlowLayout.LEFT);
    getContentPane().add(btnDois, FlowLayout.LEFT);
    getContentPane().add(btnTres, FlowLayout.LEFT);
  }

  public static void main(String[] args) {
    FrameLayoutDois frame = new FrameLayoutDois();
    frame.setTitle("FlowLayout - Demonstrao");
    frame.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(new Dimension(400, 200));
    frame.setLocation((screenSize.width-400)/2,(screenSize.height-200)/2);
    frame.setVisible(true);
  }
}