/**
  Classe: ThreadExDois
  Autor:  Ivan Mecenas
  Data:   30/11/2002
*/
public class ThreadExDois {

  static int inflacao = 0;
  static final int limite = 8;

  public static void main (String[] args) {
    IndicePrecosDois[] ip = new IndicePrecosDois[5];

    for (int i = 0; i < 5; i++) {
      ip[i] = new IndicePrecosDois();
      ip[i].start();
    }

    try {
      for (int i = 0; i < 5; i++) {
        ip[i].join();
      }
    }
    catch (Exception e) {
    }

    System.out.println("Inflao atual : " + inflacao);
    System.out.println("Limite inflao: " + limite);
  }
}

class IndicePrecosDois extends Thread {

  public void run() {
    medeInflacao();
  }

  private static synchronized void medeInflacao() {
    if (ThreadExDois.inflacao < ThreadExDois.limite) {
      try {
        sleep(500);
      }
      catch (InterruptedException iex) {
        return;
      }
      ThreadExDois.inflacao = ThreadExDois.inflacao + 2;
    }
    else {
      //nada...
    }
  }
}
