/**
 Classe: FrameLayoutCinco
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameLayoutCinco extends JFrame {

  JPanel panel = new JPanel();
  JButton btnAmarelo = new JButton("Painel Amarelo");
  JButton btnBranco = new JButton("Painel Branco");

  CardLayout card = new CardLayout();
  JPanel panel_0 = new JPanel();
  JPanel panel_1 = new JPanel();
  JPanel panel_2 = new JPanel();

  public FrameLayoutCinco() {

    super("CardLayout - Demonstrao");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    btnAmarelo.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        painelAmarelo();
      }
    });

    btnBranco.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        painelBranco();
      }
    });

    getContentPane().setLayout(new BorderLayout());
    panel.setLayout(new FlowLayout());
    getContentPane().add(panel, BorderLayout.SOUTH);
    panel.add(btnAmarelo);
    panel.add(btnBranco);

    panel_1.add(new JLabel("Painel Amarelo"));
    panel_2.add(new JLabel("Painel Branco"));

    panel_0.setLayout(card);
    panel_0.add(panel_1, "Painel Amarelo");
    panel_0.add(panel_2, "Painel Branco");

    panel_1.setBackground(Color.yellow);
    panel_2.setBackground(Color.white);

    getContentPane().add(panel_0);
  }

  public static void main(String s[]) {
    FrameLayoutCinco frame = new FrameLayoutCinco();
    frame.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(new Dimension(600, 400));
    frame.setLocation((screenSize.width-600)/2,(screenSize.height-400)/2);
    frame.setVisible(true);
  }

  public void painelAmarelo() {
    card.first(panel_0);
  }

  public void painelBranco() {
    card.last(panel_0);
  }
}