/**
 Classe: FrameLayoutSete
 Autor:  Ivan Mecenas
 Data:   21/11/2002
*/
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FrameLayoutSete extends JFrame {

  private JButton btn1 = new JButton("Primeiro Boto");
  private JButton btn2 = new JButton("Segundo Boto");
  private JButton btn3 = new JButton("Terceiro Boto");

  public FrameLayoutSete() {

    super("Null Layout - Demonstrao");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    getContentPane().setLayout(null);

    btn1.setBounds(20, 20, 150, 30);
    btn2.setBounds(20, 60, 150, 30);
    btn3.setBounds(20, 100, 150, 30);

    getContentPane().add(btn1);
    getContentPane().add(btn2);
    getContentPane().add(btn3);
  }

  public static void main(String[] args) {
    FrameLayoutSete frame = new FrameLayoutSete();
    frame.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setSize(new Dimension(400, 400));
    frame.setLocation((screenSize.width-400)/2,(screenSize.height-400)/2);
    frame.setVisible(true);
  }
}
